+ Start a Discussion
cmendlercmendler 

Force.com IDE and workflow field update issue (Just started happening)

More of an FYI post as I think I have a workaround for now, but my Force.com IDE (version 28.0) was having an issue with workflows all of a sudden.  This worked fine previously.  When selecting Workflow Field Updates, the package would appear empty.  The package.xml would include the field updates in the list, but there would be no workflow folder under Src.  It appears as though my IDE is pulling down the package as version 15.0, which presumably doesn't have workflow field update support (workflow rules still pulled down okay).  I update the package.xml version to = 28.0 and the workflow rules now appear correctly.  No idea how this versioning change is happening.  I've used this IDE for a while and had not previous issues until this month.  I've tried to go to the latest Eclipse plugin, but I have apparent JRE issues where the select component screen does not render correctly or is blank - no clue how to resolve that.
ForceComForceCom
Hi ,

By mentioning the latest Eclipse Plugin do you mean 31.0 , if that is case . There seems to be a problem with the version of plug in. I have been facing problems in that version .

Thank You
cmendlercmendler
Yes, the latest version of the plugin that I cannot seem to use is 31.0.  When I build a new project and go to select components from SFDC, the component list is blank. 

The standalone Force.com IDE (version 28.0) that I normally run is still useful - except for random things like this workflow field update issue or various java heap space errors.
ForceComForceCom
Hi ,

Yes , 31.0 seems to have few bugs.

For Java heap space errros , I found this page. Please find below.

http://wiki.eclipse.org/FAQ_How_do_I_increase_the_heap_size_available_to_Eclipse%3F

I hope this could help you solve java heap errors, it definitely helped me.

Thank You.